namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter06.Listing06_23
{
    class Program
    {
        static void Main()
        {
            Employee employee1 = new Employee();
            employee1.Initialize(42);
            // BŁĄD: nie można użyć właściwości ani indeksera 'Employee.Id' 
            // w tym kontekście, ponieważ setter jest niedostępny.
            //employee1.Id = "490";       // Jeśli przeniesiesz kod poza komentarz, nie skompiluje się.
        }
    }

    class Employee
    {
        public void Initialize(int id)
        {
            // Przypisanie wartości właściwości Id.
            Id = id.ToString();
        }

        // ...
        // Deklaracja właściwości Id.
        public string Id
        {
            get => _Id;
            // Od wersji C# 2.0 dozwolone jest dodawanie modyfikatora dostępu.
            private set => _Id = value;
        }
        private string _Id;
    }
}
